Subject: bug#24988: Guix requests substitute for non-substitutable package

From: [email-masked] (Ludovic Courtès)
Date: Sat, 17 Jun 2017 12:00:03 +0200

Leo Famulari <[email-masked]> skribis:

> On Fri, Jun 16, 2017 at 10:56:17AM +0200, Ludovic Courtès wrote:
>> --8<---------------cut here---------------start------------->8---
>> $ guix package -e '(@@ (gnu packages tex) texlive-texmf)' -n
>> The following package would be installed:
>>    texlive-texmf        2016    /gnu/store/qnz85bcaw899rkv1bpgb0121ma5b9vzk-texlive-texmf-2016
>> 
>> substitute: updating list of substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
>> The following derivations would be built:
>>    /gnu/store/dawkcdisqbkhcdh7jnvv4riyn776il1j-profile.drv
>>    /gnu/store/izfgalbxmalakjwqg3dv67g4cg6i5j2h-fonts-dir.drv
>>    /gnu/store/3g2j8m7kfbr49277007qivx01h2mm88d-texlive-texmf-2016.drv
>>    /gnu/store/37ghxb96mnjamid1vqgbmlllqqd6yl6k-ca-certificate-bundle.drv
>>    /gnu/store/2dqinwxwg5fanbcsnxlw5rh15pgzanps-info-dir.drv
>>    /gnu/store/5bmwih8gdncsdxlvv1fn2az3jy55s6w1-manual-database.drv
>> 2105.2 MB would be downloaded:
>>    /gnu/store/459shrba10iz1g4wqkf4y2fyiravla6v-mkfontscale-1.1.2
>>    /gnu/store/g7lnq940sn01iiaj1pvm72r2c29pgbp4-mkfontdir-1.0.7
>>    /gnu/store/y3nhc5n2misr91ydp907s50irjcssdfv-texlive-20160523b-texmf.tar.xz
>> [...]
>> --8<---------------cut here---------------end--------------->8---
>
> I noticed this before the recent work on modular Texlive.

Yes, this is unrelated to modular texlive.  What I meant to show here is
that ‘texlive-texmf’ is built from source.

Ludo’.